Update 3rd party libs - SIDP-402
authorlajoie <lajoie@ab3bd59b-922f-494d-bb5f-6f0a3c29deca>
Mon, 23 Aug 2010 12:37:32 +0000 (12:37 +0000)
committerlajoie <lajoie@ab3bd59b-922f-494d-bb5f-6f0a3c29deca>
Mon, 23 Aug 2010 12:37:32 +0000 (12:37 +0000)
git-svn-id: https://subversion.switch.ch/svn/shibboleth/java-idp/branches/REL_2@2942 ab3bd59b-922f-494d-bb5f-6f0a3c29deca

doc/RELEASE-NOTES.txt
pom.xml

index 876d1de..32976da 100644 (file)
@@ -1,5 +1,6 @@
 Changes in Release 2.2.0
 =============================================
+[SIDP-402] - Update 3rd party libraries for 2.2 release
 [SIDP-397] - Remove any unit test that won't be fixed in the 2.X branch, fix the rest
 [SIDP-396] - Previous session LoginHandler used even if authentication method has expired
 [SIDP-392] - NullPointerException in LoginContext when authentication method information is null
diff --git a/pom.xml b/pom.xml
index aec6ee4..414741d 100644 (file)
--- a/pom.xml
+++ b/pom.xml
         their users.  This information is then read and acted upon by Service Providers.
     </description>
     
+    <properties>
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+        <xerces.groupId>org.apache.xerces</xerces.groupId>
+        <xerces.version>2.10.0</xerces.version>
+    </properties>
+    
     <repositories>
         <repository>
             <id>shibboleth.internet2.edu</id>
             <artifactId>shibboleth-common</artifactId>
             <version>1.2.0</version>
         </dependency>
+        
+        <!-- Provided dependencies -->
         <dependency>
             <groupId>javax.servlet</groupId>
             <artifactId>servlet-api</artifactId>
             <version>2.4</version>
+            <scope>provided</scope>
         </dependency>
-        
-        <!-- Provided dependencies -->
                 
         <!-- Runtime dependencies -->
         <dependency>
-            <groupId>org.apache.xerces</groupId>
+            <groupId>${xerces.groupId}</groupId>
             <artifactId>xml-apis</artifactId>
-            <version>2.9.1</version>
+            <version>${xerces.version}</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
-            <groupId>org.apache.xerces</groupId>
+            <groupId>${xerces.groupId}</groupId>
             <artifactId>xercesImpl</artifactId>
-            <version>2.9.1</version>
+            <version>${xerces.version}</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
-            <groupId>org.apache.xerces</groupId>
+            <groupId>${xerces.groupId}</groupId>
             <artifactId>resolver</artifactId>
-            <version>2.9.1</version>
+            <version>${xerces.version}</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
-            <groupId>org.apache.xerces</groupId>
+            <groupId>${xerces.groupId}</groupId>
             <artifactId>serializer</artifactId>
-            <version>2.9.1</version>
+            <version>${xerces.version}</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
         </dependency>
         <dependency>
             <groupId>org.apache.ant</groupId>
-            <artifactId>ant</artifactId>
-            <version>1.7.0</version>
-            <scope>runtime</scope>
-        </dependency>
-        <dependency>
-            <groupId>org.apache.ant</groupId>
             <artifactId>ant-nodeps</artifactId>
-            <version>1.7.0</version>
+            <version>1.7.1</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
-            <artifactId>spring-mock</artifactId>
-            <version>2.0.8</version>
+            <artifactId>spring-test</artifactId>
+            <version>2.5.6.SEC02</version>
             <scope>test</scope>
             <exclusions>
                 <exclusion>